- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- SEE ALSO
- COPYRIGHT

# NAME

SSL_CTX_sessions - access internal session cache

# SYNOPSIS

     #include <openssl/ssl.h>

     struct lhash_st *SSL_CTX_sessions(SSL_CTX *ctx);

# DESCRIPTION

SSL_CTX_sessions() returns a pointer to the lhash databases containing the internal session cache for ctx.

# NOTES

The sessions in the internal session cache are kept in an lhash(3) operations, so that the database must not be modified directly but by using the SEE ALSO

lhash(3), SSL_CTX_set_session_cache_mode(3)

# COPYRIGHT

Copyright 2001-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.